HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.DeleteCustomersCustomerSubscriptionsSubscriptionExposedId

Contains the different functions to run the operation deleteCustomersCustomerSubscriptionsSubscriptionExposedId

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceDeleteCustomersCustomerSubscriptionsSubscriptionExposedId.hs
valuedeleteCustomersCustomerSubscriptionsSubscriptionExposedId
  1. :: MonadHTTP m
  2. => DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> Maybe DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdRequestBody

    The request body to send

  4. -> ClientT m (Response DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdResponse)

    Monadic computation which returns the result of the operation

#
DELETE /v1/customers/{customer}/subscriptions/{subscription_exposed_id}

<p>Cancels a customer’s subscription. If you set the <code>at_period_end</code> parameter to <code>true</code>, the subscription will remain active until the end of the period, at which point it will be canceled and not renewed. Otherwise, with the default <code>false</code> value, the subscription is terminated immediately. In either case, the customer will not be charged again for the subscription.</p>

<p>Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually <a href="#delete_invoiceitem">deleted</a>. If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed.</p>

<p>By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all.</p>

Defines the object schema located at paths./v1/customers/{customer}/subscriptions/{subscription_exposed_id}.DELETE.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/customers/{customer}/subscriptions/{subscription_exposed_id}.DELETE.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation deleteCustomersCustomerSubscriptionsSubscriptionExposedId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), DeleteCustomersCustomerSubscriptionsSubscriptionExposedIdResponseError is used.

Instances2Eq, Show